/// <reference types="node" />
import React, { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { CheckboxInputProps, CheckboxInputValueType } from './checkbox.interface';
interface IState {
    value: CheckboxInputValueType;
    error: boolean;
}
export declare class CheckboxInput extends Component<CheckboxInputProps, IState> implements InputImplement<CheckboxInputValueType> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    inputRef: HTMLInputElement | null | undefined;
    shouldComponentUpdate(nextProps: CheckboxInputProps, nextState: IState): boolean;
    setValue(value: CheckboxInputValueType): Promise<CheckboxInputValueType>;
    getValue(): CheckboxInputValueType;
    clear(): Promise<CheckboxInputValueType>;
    validation(): boolean;
    onChange: (event: React.ChangeEvent<HTMLInputElement>, checked: boolean) => void;
    private onClick;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
